## com.crystaldecisions.sdk.occa.report.data
Class FormulaField

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.Field
          com.crystaldecisions.sdk.occa.report.data.FormulaField

All Implemented Interfaces:
  IClone, IField, IFormulaField

public class FormulaField
extends Field
implements IFormulaField, IClone

This object implements a formula field in the report. Use the `IFormulaField` interface to access this object. To permanently modify formula fields in a report, a Report Application Server is required. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

Constructor Summary
`FormulaField()`
`FormulaField(IFormulaField src)`

Method Summary
`java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`void` | `copyTo(java.lang.Object destObject, boolean deepCopy)` Copies the object.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`boolean` | `getIsRecurring()` Returns `true` if the field is recurring, and `false` otherwise.
`FieldKind` | `getKind()` Returns what kind of field this is.
`int` | `getOptions()` For internal use only.
`java.lang.String` | `getShortName(java.util.Locale locale)` Returns the short name of the field.
`FormulaSyntax` | `getSyntax()` Returns the syntax used to write the formula.
`java.lang.String` | `getText()` Returns the formula string.
`boolean` | `hasContent(java.lang.Object srcFormulaField)` Returns `true` if this object contains the same elements as the passed in object.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(XMLWriter writer, java.lang.String sTag, XMLSerializationContext ctxt)` For internal use only.
`void` | `save(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `setOptions(int options)` For internal use only.
`void` | `setSyntax(FormulaSyntax syntax)` Sets the syntax used to write the formula.
`void` | `setText(java.lang.String text)` Sets the formula string.
`void` | `startElement(java.lang.String eleName, java.util.Map objState, org.xml.sax.Attributes attrs)` For internal use only.

Methods inherited from class com.crystaldecisions.sdk.occa.report.data.Field
`createMember, getDescription, getDisplayName, getFormulaForm, getHeadingText, getLength, getLongName, getName, getType, save, save, setDescription, setHeadingText, setLength, setName, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.crystaldecisions.sdk.occa.report.data.IField
`getDescription, getDisplayName, getFormulaForm, getHeadingText, getLength, getLongName, getName, getType, setDescription, setHeadingText, setLength, setName, setType`

Constructor Detail

### FormulaField

    public FormulaField(IFormulaField src)

### FormulaField

    public FormulaField()

Method Detail

### clone

    public java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Overrides:
    `clone` in class `Field`

### copyTo

    public void copyTo(java.lang.Object destObject,
                       boolean deepCopy)

  Description copied from interface: `IClone`

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Overrides:
    `copyTo` in class `Field`

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  For internal use only.

  Overrides:
    `createMember` in class `Field`

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  Description copied from class: `Field`

  For internal use only.

  Overrides:
    `endElement` in class `Field`

### getShortName

    public java.lang.String getShortName(java.util.Locale locale)

  Description copied from interface: `IField`

  Returns the short name of the field.

  Specified by:
    `getShortName` in interface `IField`
  Overrides:
    `getShortName` in class `Field`

### getSyntax

    public FormulaSyntax getSyntax()

  Description copied from interface: `IFormulaField`

  Returns the syntax used to write the formula.

  Specified by:
    `getSyntax` in interface `IFormulaField`
  Returns:
    The `FormulaSyntax` object.

### getText

    public java.lang.String getText()

  Description copied from interface: `IFormulaField`

  Returns the formula string.

  Specified by:
    `getText` in interface `IFormulaField`
  Returns:
    The formula as a `String`.

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  Description copied from class: `Field`

  For internal use only.

  Overrides:
    `readElement` in class `Field`

### save

    public void save(XMLWriter writer,
                     java.lang.String sTag,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Overrides:
    `save` in class `Field`
  Throws:
    `java.io.IOException`

### save

    public void save(XMLWriter writer,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Overrides:
    `save` in class `Field`
  Throws:
    `java.io.IOException`

### saveContents

    public void saveContents(XMLWriter writer,
                             XMLSerializationContext ctxt)
                      throws java.io.IOException

  For internal use only.

  Overrides:
    `saveContents` in class `Field`
  Throws:
    `java.io.IOException`

### setSyntax

    public void setSyntax(FormulaSyntax syntax)

  Description copied from interface: `IFormulaField`

  Sets the syntax used to write the formula.

  Specified by:
    `setSyntax` in interface `IFormulaField`
  Parameters:
    `syntax` - The `FormulaSyntax` object.

### setText

    public void setText(java.lang.String text)

  Description copied from interface: `IFormulaField`

  Sets the formula string.

  Specified by:
    `setText` in interface `IFormulaField`
  Parameters:
    `text` - The formula as a `String`.

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState,
                             org.xml.sax.Attributes attrs)

  Description copied from class: `Field`

  For internal use only.

  Overrides:
    `startElement` in class `Field`

### getIsRecurring

    public boolean getIsRecurring()

  Description copied from interface: `IField`

  Returns `true` if the field is recurring, and `false` otherwise. A field is recurring if its contents change during the formatting of a report. A constant field (not recurring) is one that doesn't change. The special field "Page Number," for example, is a recurring field, while the special field "Report Title" is not.

  Specified by:
    `getIsRecurring` in interface `IField`
  Overrides:
    `getIsRecurring` in class `Field`

### getKind

    public FieldKind getKind()

  Description copied from interface: `IField`

  Returns what kind of field this is. Do not confuse this property with Type. Kind identifies what sort of report field this is, while Type identifies what the field is composed of. For example, a bitmap, string, chart, number, date, and so on.

  Specified by:
    `getKind` in interface `IField`
  Returns:
    A `String` that specifies what kind of field this is.

### getOptions

    public int getOptions()

  Description copied from interface: `IFormulaField`

  For internal use only.

  Specified by:
    `getOptions` in interface `IFormulaField`

### hasContent

    public boolean hasContent(java.lang.Object srcFormulaField)

  Description copied from interface: `IClone`

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Overrides:
    `hasContent` in class `Field`

### setOptions

    public void setOptions(int options)

  Description copied from interface: `IFormulaField`

  For internal use only.

  Specified by:
    `setOptions` in interface `IFormulaField`